# Class AllDevelopersXml

java.lang.Object
net.sf.statcvs.pages.xml.AllDevelopersXml

public class AllDevelopersXml extends Object

Version:
  $Id: AllDevelopersXml.java,v 1.2 2008/04/02 11:22:16 benoitx Exp $ This is the class which generates the developer information of the xml report
Author:
  Nilendra Weerasinghe (nilendraw@gmail.com)

## Constructor Summary

Constructors
Constructor
Description
`AllDevelopersXml(ReportConfig config)`

## Method Summary

Modifier and Type
Method
Description
`org.jdom.Element`
`toFile()`
returns jdom element which contains data extracted from DeveloeprsTableReport

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AllDevelopersXml

public AllDevelopersXml(ReportConfig config)

Parameters:
  `config` - Configuration and data for the report suite

## Method Details

### toFile

public org.jdom.Element toFile()
returns jdom element which contains data extracted from DeveloeprsTableReport